using CMSMicroservice.Application.UserWalletChangeLogCQ.Queries.GetAllUserWalletChangeLogByFilter;
using CMSMicroservice.Application.UserWalletChangeLogCQ.Queries.GetUserWalletChangeLog;

namespace CMSMicroservice.Application.Common.Mappings;

public class UserWalletChangeLogProfile : IRegister
{
    void IRegister.Register(TypeAdapterConfig config)
    {
        config.NewConfig<UserWalletChangeLog,GetAllUserWalletChangeLogByFilterResponseModel>()
            .Map(dest => dest.CreatedAt, src => src.Created);

        config.NewConfig<UserWalletChangeLog, GetUserWalletChangeLogResponseDto>()
            .Map(dest => dest.CreatedAt, src => src.Created);
    }
}
